import { OnDestroy, EventEmitter, OnInit, QueryList, OnChanges, SimpleChanges } from '@angular/core';
import { BaseDirective } from '../../base.directive';
import { UiStateService } from './services/ui-state.service';
import { EuiCardHeaderComponent } from './components/eui-card-header/eui-card-header.component';
import { EuiCardMediaComponent } from './components/eui-card-media/eui-card-media.component';
import { EuiCardContentComponent } from './components/eui-card-content/eui-card-content.component';
import { EuiCardFooterComponent } from './components/eui-card-footer/eui-card-footer.component';
import * as i0 from "@angular/core";
export declare class EuiCardComponent extends BaseDirective implements OnInit, OnDestroy, OnChanges {
    uiStateService: UiStateService;
    get euiSelected(): boolean;
    set euiSelected(value: boolean);
    _euiSelected: boolean;
    get euiCollapsible(): boolean;
    set euiCollapsible(value: boolean);
    _euiCollapsible: boolean;
    get euiCollapsed(): boolean;
    set euiCollapsed(value: boolean);
    _euiCollapsed: boolean;
    get euiUrgent(): boolean;
    set euiUrgent(value: boolean);
    _euiUrgent: boolean;
    get euiNoShadow(): boolean;
    set euiNoShadow(value: boolean);
    _euiNoShadow: boolean;
    get euiNoContentPadding(): boolean;
    set euiNoContentPadding(value: boolean);
    _euiNoContentPadding: boolean;
    get euiHoverable(): boolean;
    set euiHoverable(value: boolean);
    _euiHoverable: boolean;
    get euiFlat(): boolean;
    set euiFlat(value: boolean);
    _euiFlat: boolean;
    get euiInverted(): boolean;
    set euiInverted(value: boolean);
    _euiInverted: boolean;
    get euiEditable(): boolean;
    set euiEditable(value: boolean);
    _euiEditable: boolean;
    get cssClasses(): string;
    e2eAttr: string;
    /** @deprecated this will become deprecated in eUI 14 */
    onCollapsed: EventEmitter<boolean>;
    collapse: EventEmitter<boolean>;
    open: EventEmitter<boolean>;
    close: EventEmitter<boolean>;
    cardHeader: QueryList<EuiCardHeaderComponent>;
    cardMedia: QueryList<EuiCardMediaComponent>;
    cardContent: QueryList<EuiCardContentComponent>;
    cardFooter: QueryList<EuiCardFooterComponent>;
    private destroy$;
    constructor(uiStateService: UiStateService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     * Toggle eui-card opening state
     */
    toggleCard(): void;
    /**
     * Open eui-card
     */
    openCard(): void;
    /**
     * Close eui-card
     */
    closeCard(): void;
    static ɵfac: i0.ɵɵFactoryDef<EuiCardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<EuiCardComponent, "eui-card", never, { "euiSelected": "euiSelected"; "euiCollapsible": "euiCollapsible"; "euiCollapsed": "euiCollapsed"; "euiUrgent": "euiUrgent"; "euiNoShadow": "euiNoShadow"; "euiNoContentPadding": "euiNoContentPadding"; "euiHoverable": "euiHoverable"; "euiFlat": "euiFlat"; "euiInverted": "euiInverted"; "euiEditable": "euiEditable"; "e2eAttr": "e2eAttr"; }, { "onCollapsed": "onCollapsed"; "collapse": "collapse"; "open": "open"; "close": "close"; }, ["cardHeader", "cardMedia", "cardContent", "cardFooter"], ["eui-card-header", "eui-card-media", "eui-card-content", "eui-card-footer"]>;
}
